<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Documentation</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/js/all.min.js" integrity="sha256-0vuk8LXoyrmCjp1f0O300qo1M75ZQyhH9X3J6d+scmk=" crossorigin="anonymous"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">Documentation</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
    
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                                <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/rw.html"><abbr title="\RW">RW</abbr></a></h4>
                <ul class="phpdocumentor-list">
                                            <li><a href="namespaces/rw-wiwinkapi.html"><abbr title="\RW\WiWinkApi">WiWinkApi</abbr></a></li>
                                    </ul>
                        </section>

        <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                    <h3 class="phpdocumentor-sidebar__root-package"><a href="packages/Default.html"><abbr title="\Default">Default</abbr></a></h3>
                                <h3 class="phpdocumentor-sidebar__root-package"><a href="packages/RW.html"><abbr title="\RW">RW</abbr></a></h3>
                        <ul class="phpdocumentor-list">
                                    <li><a href="packages/RW-WiWinkApi.html"><abbr title="\RW\WiWinkApi">WiWinkApi</abbr></a></li>
                            </ul>
                        </section>
    
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/rw.html">RW</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/rw-wiwinkapi.html">WiWinkApi</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/rw-wiwinkapi-helpers.html">Helpers</a></li>
    </ul>

    <article class="phpdocumentor-element -class">
        <h2 class="phpdocumentor-content__title">
    HttpHelper

    
            <div class="phpdocumentor-element__package">
            in package
            <ul class="phpdocumentor-breadcrumbs">
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/RW.html">RW</a></li>
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/RW-WiWinkApi.html">WiWinkApi</a></li>
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/RW-WiWinkApi-Helpers.html">Helpers</a></li>
                            </ul>
        </div>
    
    
    </h2>

        <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Helpers/HttpHelper.php"><a href="files/src-helpers-httphelper.html"><abbr title="src/Helpers/HttpHelper.php">HttpHelper.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">23</span>
</aside>

            <p class="phpdocumentor-summary">Helper that acts like a enum to map all usable HTTP methods.</p>

    <section class="phpdocumentor-description"></section>


    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">author</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                                                                
                                                 <section class="phpdocumentor-description"><p>Josep Salvà <a href="mailto:jsalva@refineriaweb.com">jsalva@refineriaweb.com</a></p>
</section>

                                    </dd>
                                                <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">SuppressWarnings</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                                                                
                                                 <section class="phpdocumentor-description"><p>(PHPMD.StaticAccess)</p>
</section>

                                    </dd>
                            <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">SuppressWarnings</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                                                                
                                                 <section class="phpdocumentor-description"><p>(PHPMD.ShortVariable)</p>
</section>

                                    </dd>
                        </dl>






<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/RW-WiWinkApi-Helpers-HttpHelper.html#constant_METHOD_DELETE">METHOD_DELETE</a>
    <span>
        &nbsp;= &#039;DELETE&#039;                    </span>
</dt>
<dd>Method DELETE keyword.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/RW-WiWinkApi-Helpers-HttpHelper.html#constant_METHOD_GET">METHOD_GET</a>
    <span>
        &nbsp;= &#039;GET&#039;                    </span>
</dt>
<dd>Method GET keyword.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/RW-WiWinkApi-Helpers-HttpHelper.html#constant_METHOD_OPTIONS">METHOD_OPTIONS</a>
    <span>
        &nbsp;= &#039;OPTIONS&#039;                    </span>
</dt>
<dd>Method OPTIONS keyword.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/RW-WiWinkApi-Helpers-HttpHelper.html#constant_METHOD_PATCH">METHOD_PATCH</a>
    <span>
        &nbsp;= &#039;PATCH&#039;                    </span>
</dt>
<dd>Method PATCH keyword.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/RW-WiWinkApi-Helpers-HttpHelper.html#constant_METHOD_POST">METHOD_POST</a>
    <span>
        &nbsp;= &#039;POST&#039;                    </span>
</dt>
<dd>Method POST keyword.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -constant -public">
    <a href="classes/RW-WiWinkApi-Helpers-HttpHelper.html#constant_METHOD_PUT">METHOD_PUT</a>
    <span>
        &nbsp;= &#039;PUT&#039;                    </span>
</dt>
<dd>Method PUT keyword.</dd>

                </dl>



        
    <section class="phpdocumentor-constants">
        <h3 class="phpdocumentor-elements__header" id="constants">
            Constants
            <a href="classes/RW-WiWinkApi-Helpers-HttpHelper.html#constants" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_METHOD_DELETE">
        METHOD_DELETE
        <a href="classes/RW-WiWinkApi-Helpers-HttpHelper.html#constant_METHOD_DELETE" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Helpers/HttpHelper.php"><a href="files/src-helpers-httphelper.html"><abbr title="src/Helpers/HttpHelper.php">HttpHelper.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">65</span>
</aside>

        <p class="phpdocumentor-summary">Method DELETE keyword.</p>

    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">METHOD_DELETE</span>
    = <span class="phpdocumentor-signature__default-value">&#039;DELETE&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_METHOD_GET">
        METHOD_GET
        <a href="classes/RW-WiWinkApi-Helpers-HttpHelper.html#constant_METHOD_GET" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Helpers/HttpHelper.php"><a href="files/src-helpers-httphelper.html"><abbr title="src/Helpers/HttpHelper.php">HttpHelper.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">30</span>
</aside>

        <p class="phpdocumentor-summary">Method GET keyword.</p>

    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">METHOD_GET</span>
    = <span class="phpdocumentor-signature__default-value">&#039;GET&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_METHOD_OPTIONS">
        METHOD_OPTIONS
        <a href="classes/RW-WiWinkApi-Helpers-HttpHelper.html#constant_METHOD_OPTIONS" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Helpers/HttpHelper.php"><a href="files/src-helpers-httphelper.html"><abbr title="src/Helpers/HttpHelper.php">HttpHelper.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">58</span>
</aside>

        <p class="phpdocumentor-summary">Method OPTIONS keyword.</p>

    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">METHOD_OPTIONS</span>
    = <span class="phpdocumentor-signature__default-value">&#039;OPTIONS&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_METHOD_PATCH">
        METHOD_PATCH
        <a href="classes/RW-WiWinkApi-Helpers-HttpHelper.html#constant_METHOD_PATCH" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Helpers/HttpHelper.php"><a href="files/src-helpers-httphelper.html"><abbr title="src/Helpers/HttpHelper.php">HttpHelper.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">51</span>
</aside>

        <p class="phpdocumentor-summary">Method PATCH keyword.</p>

    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">METHOD_PATCH</span>
    = <span class="phpdocumentor-signature__default-value">&#039;PATCH&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_METHOD_POST">
        METHOD_POST
        <a href="classes/RW-WiWinkApi-Helpers-HttpHelper.html#constant_METHOD_POST" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Helpers/HttpHelper.php"><a href="files/src-helpers-httphelper.html"><abbr title="src/Helpers/HttpHelper.php">HttpHelper.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">37</span>
</aside>

        <p class="phpdocumentor-summary">Method POST keyword.</p>

    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">METHOD_POST</span>
    = <span class="phpdocumentor-signature__default-value">&#039;POST&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

    

</article>
                    <article class="phpdocumentor-element -constant -public ">
    <h4 class="phpdocumentor-element__name" id="constant_METHOD_PUT">
        METHOD_PUT
        <a href="classes/RW-WiWinkApi-Helpers-HttpHelper.html#constant_METHOD_PUT" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>

    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="src/Helpers/HttpHelper.php"><a href="files/src-helpers-httphelper.html"><abbr title="src/Helpers/HttpHelper.php">HttpHelper.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">44</span>
</aside>

        <p class="phpdocumentor-summary">Method PUT keyword.</p>

    <code class="phpdocumentor-signature phpdocumentor-code ">
    <span class="phpdocumentor-signature__visibility">public</span>
    <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">METHOD_PUT</span>
    = <span class="phpdocumentor-signature__default-value">&#039;PUT&#039;</span>
</code>


        <section class="phpdocumentor-description"></section>

    

</article>
            </section>

        

        
    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="classes/RW-WiWinkApi-Helpers-HttpHelper.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
</body>
</html>
